diff -uNrd ircd-ratbox-1.5-2.dist/.cvsignore ircd-ratbox-1.5-2-nomi/.cvsignore
--- ircd-ratbox-1.5-2.dist/.cvsignore	Fri Dec 14 03:49:18 2001
+++ ircd-ratbox-1.5-2-nomi/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,7 +0,0 @@
-config.log
-config.cache
-config.status
-Makefile
-lint.out
-rsa_respond.tar.gz
-.depend
diff -uNrd ircd-ratbox-1.5-2.dist/adns/.cvsignore ircd-ratbox-1.5-2-nomi/adns/.cvsignore
--- ircd-ratbox-1.5-2.dist/adns/.cvsignore	Tue Jul  3 00:53:02 2001
+++ ircd-ratbox-1.5-2-nomi/adns/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/conf.tom ircd-ratbox-1.5-2-nomi/conf.tom
--- ircd-ratbox-1.5-2.dist/conf.tom	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.5-2-nomi/conf.tom	Thu Mar 11 06:06:19 2004
@@ -0,0 +1,2 @@
+#!/bin/bash
+/usr/bin/conf.tom --enable-ipv6 --with-nicklen=20 --with-maxclients=500 --with-topiclen=250 --prefix=/usr/irc --sysconfdir=/usr/irc/etc --enable-openssl --enable-zlib
diff -uNrd ircd-ratbox-1.5-2.dist/conf.tom.log ircd-ratbox-1.5-2-nomi/conf.tom.log
--- ircd-ratbox-1.5-2.dist/conf.tom.log	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.5-2-nomi/conf.tom.log	Thu Jun 10 11:43:45 2004
@@ -0,0 +1,130 @@
+./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --enable-ipv6 --with-nicklen=20 --with-maxclients=500 --with-topiclen=250 --prefix=/usr/irc --sysconfdir=/usr/irc/etc --enable-openssl --enable-zlib
+loading cache ./config.cache
+checking for gcc... (cached) gcc
+checking whether the C compiler (gcc  ) works... yes
+checking whether the C compiler (gcc  ) is a cross-compiler... no
+checking whether we are using GNU C... (cached) yes
+checking whether gcc accepts -g... (cached) yes
+checking if we are using TenDRA or MIPSpro... no
+checking if we are using Sun WorkShop/Forte... no
+checking if we are using Apple GCC... no
+checking if your compiler supports the SVR4 Software Generation System interfaces... no
+checking how to generate dependancy info... assuming gcc -MM
+checking for POSIXized ISC... no
+checking whether make sets ${MAKE}... (cached) yes
+checking for rm... (cached) /bin/rm
+checking for cp... (cached) /bin/cp
+checking for mv... (cached) /bin/mv
+checking for ln... (cached) /bin/ln
+checking for sed... (cached) /bin/sed
+checking for ar... (cached) /usr/bin/ar
+checking for ld... (cached) /usr/bin/ld
+checking for touch... (cached) /bin/touch
+checking for bison... (cached) bison -y
+checking for a BSD compatible install... (cached) /usr/bin/install -c
+checking for flex... (cached) flex
+checking for yywrap in -lfl... (cached) yes
+checking for ranlib... (cached) ranlib
+checking for inline... (cached) inline
+checking for socket in -lsocket... (cached) no
+checking for crypt... (cached) no
+checking for crypt in -ldescrypt... (cached) no
+checking for crypt in -lcrypt... (cached) yes
+checking for library containing gettext... (cached) none required
+checking ld flags needed for gettext... (cached) 
+checking cpp flags needed for gettext... (cached) 
+checking for gettext... (cached) yes
+checking how to run the C preprocessor... (cached) gcc -E
+checking for ANSI C header files... (cached) yes
+checking for inttypes.h... (cached) yes
+checking for sys/resource.h... (cached) yes
+checking for sys/param.h... (cached) yes
+checking for unistd.h... (cached) yes
+checking for errno.h... (cached) yes
+checking for string.h... (cached) yes
+checking for strings.h... (cached) yes
+checking for sys/syslog.h... (cached) yes
+checking for stdlib.h... (cached) yes
+checking for stddef.h... (cached) yes
+checking for getopt.h... (cached) yes
+checking for sys/uio.h... (cached) yes
+checking for sys/epoll.h... (cached) yes
+checking whether string.h and strings.h may both be included... (cached) yes
+checking for socklen_t... yes
+checking for stdarg.h... (cached) yes
+checking for strlcat... (cached) no
+checking for strlcpy... (cached) no
+checking for writev... (cached) yes
+checking for socketpair... (cached) yes
+checking for mmap... (cached) yes
+checking for snprintf... (cached) yes
+checking for vsnprintf... (cached) yes
+checking for nanosleep... yes
+checking for getrlimit max open files parameter... RLIMIT_NOFILE
+checking for OpenSSL... /usr
+checking for OpenSSL 0.9.6 or above... ok
+checking for RSA_free in -lcrypto... (cached) yes
+checking for EVP_bf_cfb... (cached) yes
+checking for EVP_cast5_cfb... (cached) yes
+checking for EVP_idea_cfb... (cached) no
+checking for EVP_rc5_32_12_16_cfb... (cached) no
+checking for EVP_des_ede3_cfb... (cached) yes
+checking for EVP_des_cfb... (cached) yes
+checking if you want to try to use zlib... yes
+checking for deflate in -lz... (cached) yes
+checking for zlibVersion... (cached) yes
+checking if you want to do a profile build... 
+checking if you want ElectricFence... 
+checking if you want the block allocator... 
+checking whether gcc needs -traditional... (cached) no
+checking for u_int32_t... (cached) yes
+checking for uintptr_t... (cached) no
+checking for poll... (cached) yes
+Using poll for select loop.
+Building with gettext.
+Using IPv6 support
+20
+Setting NICKLEN to 20
+Setting MAX_CLIENTS to 500
+Setting TOPICLEN to 250
+Checking for shared module support
+checking for shl_load... (cached) no
+checking for shl_load in -ldld... (cached) no
+shl_load could not be found
+checking for mach-o/dyld.h... (cached) no
+checking for dlopen... (cached) no
+checking for dlopen in -ldl... (cached) yes
+checking for dlsym in -ldl... (cached) yes
+checking for dlopen... (cached) no
+checking for mach-o/dyld.h... (cached) no
+checking for dlfcn.h... (cached) yes
+checking for the ld -export-dynamic flag... yes
+checking for compiler option to produce PIC... gcc: -fPIC -DPIC -shared
+checking for nlist... (cached) no
+checking for nlist in -ldl... (cached) no
+checking for nlist in -lelf... (cached) no
+checking for libelf/nlist.h... (cached) no
+checking for elf/nlist.h... (cached) no
+checking for nlist.h... (cached) no
+updating cache ./config.cache
+creating ./config.status
+creating Makefile
+creating servlink/Makefile
+creating contrib/Makefile
+creating src/Makefile
+creating adns/Makefile
+creating messages/Makefile
+creating messages/translations/Makefile
+creating modules/Makefile
+creating tools/Makefile
+creating doc/Makefile
+creating help/Makefile
+creating include/setup.h
+creating servlink/setup.h
+servlink/setup.h is unchanged
+
+Available cryptlinks ciphers:
+
+BF/256 BF/128 CAST/128 3DES/168 DES/56 
+
+Server is configured with NICKLEN=20 and MAX_CLIENTS=500
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/.cvsignore ircd-ratbox-1.5-2-nomi/contrib/.cvsignore
--- ircd-ratbox-1.5-2.dist/contrib/.cvsignore	Tue Jul  3 00:53:03 2001
+++ ircd-ratbox-1.5-2-nomi/contrib/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/Make ircd-ratbox-1.5-2-nomi/contrib/Make
--- ircd-ratbox-1.5-2.dist/contrib/Make	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.5-2-nomi/contrib/Make	Sun Mar 14 07:14:50 2004
@@ -0,0 +1,2 @@
+#!/bin/bash
+make m_clearchan.so m_ojoin.so m_opme.so m_omode.so m_olist.so m_force.so
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/Make_install ircd-ratbox-1.5-2-nomi/contrib/Make_install
--- ircd-ratbox-1.5-2.dist/contrib/Make_install	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.5-2-nomi/contrib/Make_install	Sun Dec 21 10:16:06 2003
@@ -0,0 +1,4 @@
+#!/bin/bash
+ls m_*.so | while read so ; do
+  install -m 644 "$so" /usr/irc/modules/autoload
+done
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/m_force.c ircd-ratbox-1.5-2-nomi/contrib/m_force.c
--- ircd-ratbox-1.5-2.dist/contrib/m_force.c	Thu May 20 08:09:33 2004
+++ ircd-ratbox-1.5-2-nomi/contrib/m_force.c	Thu Jun 10 11:43:09 2004
@@ -162,11 +162,11 @@
 
 		if(*chptr->chname != '&')
 		{
-			sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
+			/*sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
 				      ":%s WALLOPS :FORCEJOIN called for [%s] [%s] by %s!%s@%s",
 				      me.name, parv[1], parv[2],
 				      source_p->name, source_p->username,
-				      source_p->host);
+				      source_p->host);*/
 
 			sendto_server(target_p, chptr, NOCAPS, NOCAPS, 
 				      ":%s SJOIN %lu %s + :%c%s",
@@ -246,11 +246,11 @@
 
 		if(*chptr->chname != '&')
 		{
-			sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
+			/*sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
 				      ":%s WALLOPS :FORCEJOIN called for [%s] [%s] by %s!%s@%s",
 				      me.name, parv[1], parv[2],
 				      source_p->name, source_p->username,
-				      source_p->host);
+				      source_p->host);*/
 
 			/* send out a join, make target_p join chptr */
 			sendto_server(target_p, chptr, NOCAPS, NOCAPS, 
@@ -335,11 +335,11 @@
 
 	if(*chptr->chname != '&')
 	{
-		sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
+		/*sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
 			      ":%s WALLOPS :FORCEPART called for [%s] [%s] by %s!%s@%s",
 			      me.name, parv[1], parv[2],
 			      source_p->name, source_p->username,
-			      source_p->host);
+			      source_p->host);*/
 
 		sendto_server(target_p, chptr, NOCAPS, NOCAPS, 
 				":%s PART %s :%s",
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/m_ojoin.c ircd-ratbox-1.5-2-nomi/contrib/m_ojoin.c
--- ircd-ratbox-1.5-2.dist/contrib/m_ojoin.c	Thu May 20 08:09:33 2004
+++ ircd-ratbox-1.5-2-nomi/contrib/m_ojoin.c	Thu Jun 10 11:43:09 2004
@@ -109,11 +109,11 @@
 	ilog(L_NOTICE, "OJOIN called for [%s] by %s!%s@%s",
 	     parv[1], source_p->name, source_p->username, source_p->host);
 
-	if(*chptr->chname != '&')
+	/*if(*chptr->chname != '&')
 		sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
 			      ":%s WALLOPS :OJOIN called for [%s] by %s!%s@%s",
 			      me.name, parv[1], source_p->name, source_p->username,
-			      source_p->host);
+			      source_p->host);*/
 
 	if (*parv[1] == '@') 
 	{
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/m_omode.c ircd-ratbox-1.5-2-nomi/contrib/m_omode.c
--- ircd-ratbox-1.5-2.dist/contrib/m_omode.c	Thu May 20 08:09:33 2004
+++ ircd-ratbox-1.5-2-nomi/contrib/m_omode.c	Thu Jun 10 11:43:09 2004
@@ -116,11 +116,11 @@
 	ilog(L_NOTICE, "OMODE called for [%s] by %s!%s@%s",
 	     parv[1], source_p->name, source_p->username, source_p->host);
 
-	if(*chptr->chname != '&')
+	/*if(*chptr->chname != '&')
 		sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
 			      ":%s WALLOPS :OMODE called for [%s] by %s!%s@%s",
 			      me.name, parv[1], source_p->name, source_p->username,
-			      source_p->host);
+			      source_p->host);*/
 
 	/* Now know the channel exists */
 	if(parc < n + 1)
diff -uNrd ircd-ratbox-1.5-2.dist/contrib/m_opme.c ircd-ratbox-1.5-2-nomi/contrib/m_opme.c
--- ircd-ratbox-1.5-2.dist/contrib/m_opme.c	Thu May 20 08:09:33 2004
+++ ircd-ratbox-1.5-2-nomi/contrib/m_opme.c	Thu Jun 10 11:43:09 2004
@@ -116,10 +116,10 @@
 	/* dont send stuff for local channels remotely. */
 	if(*chptr->chname != '&')
 	{
-		sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
+		/*sendto_server(NULL, NULL, NOCAPS, NOCAPS, 
 			      ":%s WALLOPS :OPME called for [%s] by %s!%s@%s",
 			      me.name, parv[1], source_p->name, source_p->username,
-			      source_p->host);
+			      source_p->host);*/
 		sendto_server(NULL, chptr, NOCAPS, NOCAPS, 
 			      ":%s PART %s", source_p->name, parv[1]);
 		sendto_server(NULL, chptr, NOCAPS, NOCAPS, 
diff -uNrd ircd-ratbox-1.5-2.dist/doc/.cvsignore ircd-ratbox-1.5-2-nomi/doc/.cvsignore
--- ircd-ratbox-1.5-2.dist/doc/.cvsignore	Tue Jul  3 00:53:04 2001
+++ ircd-ratbox-1.5-2-nomi/doc/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/help/.cvsignore ircd-ratbox-1.5-2-nomi/help/.cvsignore
--- ircd-ratbox-1.5-2.dist/help/.cvsignore	Tue Nov 13 18:35:48 2001
+++ ircd-ratbox-1.5-2-nomi/help/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/include/.cvsignore ircd-ratbox-1.5-2-nomi/include/.cvsignore
--- ircd-ratbox-1.5-2.dist/include/.cvsignore	Tue Jul  3 00:53:08 2001
+++ ircd-ratbox-1.5-2-nomi/include/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,2 +0,0 @@
-Makefile
-setup.h
diff -uNrd ircd-ratbox-1.5-2.dist/include/config.h ircd-ratbox-1.5-2-nomi/include/config.h
--- ircd-ratbox-1.5-2.dist/include/config.h	Mon Mar 15 13:19:44 2004
+++ ircd-ratbox-1.5-2-nomi/include/config.h	Mon Apr 12 12:18:51 2004
@@ -185,14 +185,14 @@
  *
  * If this is defined, nobody can see a servers ip.
  */
-#define  HIDE_SERVERS_IPS
+#undef  HIDE_SERVERS_IPS
 
 /* HIDE_SPOOF_IPS
  *
  * If this is undefined, opers will be allowed to see the real IP of spoofed
  * users in /trace etc.  If this is defined they will be shown a masked IP.
  */
-#define HIDE_SPOOF_IPS
+#undef HIDE_SPOOF_IPS
 
 /* TS5_ONLY
  *
diff -uNrd ircd-ratbox-1.5-2.dist/include/config.h.zal ircd-ratbox-1.5-2-nomi/include/config.h.zal
--- ircd-ratbox-1.5-2.dist/include/config.h.zal	Wed Dec 31 19:00:00 1969
+++ ircd-ratbox-1.5-2-nomi/include/config.h.zal	Mon Apr 12 12:18:51 2004
@@ -0,0 +1,339 @@
+/*
+ *  ircd-ratbox: A slightly useful ircd.
+ *  config.h: The ircd compile-time-configurable header.
+ *
+ *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
+ *  Copyright (C) 1996-2002 Hybrid Development Team
+ *  Copyright (C) 2002-2004 ircd-ratbox development team
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+ *  USA
+ *
+ *  $Id: config.h,v 7.160.2.2 2004/03/15 18:19:44 leeh Exp $
+ */
+
+#ifndef INCLUDED_config_h
+#define INCLUDED_config_h
+
+#include "setup.h"
+
+
+/*
+ * IRCD-HYBRID-7 COMPILE TIME CONFIGURATION OPTIONS
+ *
+ * Most of the items which used to be configurable in here have
+ * been moved into the new improved ircd.conf file.
+ * If you can't find something, look in doc/example.conf
+ *
+ * -davidt
+ */
+
+/*
+ * File Descriptor limit
+ *
+ * These limits are ultra-low to guarantee the server will work properly
+ * in as many environments as possible.  They can probably be increased
+ * significantly, if you know what you are doing.
+ *
+ * Note that HARD_FDLIMIT_ is modified with the maxclients setting in
+ * configure.  You should only touch this if you know what you are doing!!!
+ *
+ * If you are using select for the IO loop, you may also need to increase
+ * the value of FD_SETSIZE by editting the Makefile.  However, using
+ * --enable-kqueue, --enable-devpoll, or --enable-poll if at all possible,
+ * is highly recommended.
+ *
+ * VMS should be able to use any suitable value here, other operating
+ * systems may require kernel patches, configuration tweaks, or ulimit
+ * adjustments in order to exceed certain limits (e.g. 1024, 4096 fds).
+ */
+#define HARD_FDLIMIT_    MAX_CLIENTS + 60 + 20
+
+/* XXX - MAX_BUFFER is mostly ignored. */
+/*
+ * Maximum number of connections to allow.
+ *
+ * MAX_BUFFER  is the number of fds to reserve, e.g. for clients
+ *             exempt from limit.
+ *
+ * 10 file descriptors are reserved for logging, DNS lookups, etc.,
+ * so MAX_CLIENTS + MAX_BUFFER + 10 must not exceed HARD_FDLIMIT.
+ * NOTE: MAX_CLIENTS is set with configure now
+ */
+#define MAX_BUFFER      60
+
+#ifndef VMS
+/* 
+ * Directory paths and filenames for UNIX systems.
+ * IRCD_PREFIX is set using ./configure --prefix, see INSTALL.
+ * The other defaults should be fine.
+ *
+ * NOTE: CHANGING THESE WILL NOT ALTER THE DIRECTORY THAT FILES WILL
+ *       BE INSTALLED TO.  IF YOU CHANGE THESE, DO NOT USE MAKE INSTALL,
+ *       BUT COPY THE FILES MANUALLY TO WHERE YOU WANT THEM.
+ *
+ * IRCD_PREFIX = prefix for all directories,
+ * DPATH       = root directory of installation,
+ * BINPATH     = directory for binary files,
+ * ETCPATH     = directory for configuration files,
+ * LOGPATH     = directory for logfiles,
+ * MODPATH     = directory for modules,
+ * AUTOMODPATH = directory for autoloaded modules
+ * MSGPATH     = directory for gettext message files.
+ */
+
+/* dirs */
+#define DPATH   IRCD_PREFIX
+#define BINPATH IRCD_PREFIX "/bin/"
+#define MODPATH IRCD_PREFIX "/modules/"
+#define AUTOMODPATH IRCD_PREFIX "/modules/autoload/"
+#define MSGPATH IRCD_PREFIX "/messages/"
+#define ETCPATH IRCD_PREFIX "/etc"
+#define LOGPATH IRCD_PREFIX "/logs"
+#define UHPATH   IRCD_PREFIX "/help/users"
+#define HPATH  IRCD_PREFIX "/help/opers"
+
+/* files */
+#define SPATH    BINPATH "/ircd"	/* ircd executable */
+#define SLPATH   BINPATH "/servlink"	/* servlink executable */
+#define CPATH    ETCPATH "/ircd.conf"	/* ircd.conf file */
+#define KPATH    ETCPATH "/kline.conf"	/* kline file */
+#define DLPATH   ETCPATH "/dline.conf"	/* dline file */
+#define XPATH	 ETCPATH "/xline.conf"	/* xline file */
+#define RESVPATH ETCPATH "/resv.conf"	/* resv file */
+#define GPATH    LOGPATH "/gline.log"	/* gline logfile */
+#define RPATH    ETCPATH "/ircd.rsa"	/* ircd rsa private keyfile */
+#define MPATH    ETCPATH "/ircd.motd"	/* MOTD file */
+#define LPATH    LOGPATH "/ircd.log"	/* ircd logfile */
+#define PPATH    ETCPATH "/ircd.pid"	/* pid file */
+#define OPATH    ETCPATH "/opers.motd"	/* oper MOTD file */
+#define LIPATH   ETCPATH "/links.txt"	/* cached links file */
+
+#else /* !VMS */
+
+/* *PATH - directory locations and filenames for VMS.
+ *
+ * Non VMS systems see below.
+ *
+ * IRCD_PREFIX = prefix for all directories,
+ * DPATH       = root directory of installation,
+ * BINPATH     = directory for binary files,
+ * ETCPATH     = directory for configuration files,
+ * LOGPATH     = directory for logfiles,
+ * MODPATH     = directory for autoloaded modules (disabled in VMS),
+ * MSGPATH     = directory for gettext message files (disabled in VMS).
+ */
+
+/* IRCD_PREFIX not needed in VMS -larne */
+/*#define IRCD_PREFIX     "IRCD$BASEDIR:"*/
+#define DPATH           "IRCD$BASEDIR:"
+#define BINPATH         "IRCD$BINDIR:"
+#define ETCPATH         "IRCD$CONFDIR:"
+#define LOGPATH         "IRCD$LOGDIR:"
+
+#undef  MODPATH
+#undef  AUTOMODPATH
+#undef  MSGPATH
+
+#define SPATH    BINPATH "IRCD.EXE"	/* server executable */
+#define SLPATH   BINPATH "SERVLINK.EXE"	/* servlink executable */
+#define CPATH    ETCPATH "IRCD.CONF"	/* config file */
+#define KPATH    ETCPATH "KLINE.CONF"	/* kline file */
+#define DLPATH   ETCPATH "DLINE.CONF"	/* dline file */
+#define XPATH	 ETCPATH "XLINE.CONF"	/* xline file */
+#define RESVPATH ETCPATH "RESV.CONF"	/* resv file */
+#define GPATH    LOGPATH "GLINE.LOG"	/* gline logfile */
+#define RPATH    ETCPATH "IRCD.RSA"	/* RSA private key file */
+#define MPATH    ETCPATH "IRCD.MOTD"	/* MOTD filename */
+#define LPATH    LOGPATH "IRCD.LOG"	/* logfile */
+#define PPATH    ETCPATH "IRCD.PID"	/* pid file */
+#define HPATH    ETCPATH "OPERS.TXT"	/* oper help file */
+#define UHPATH   ETCPATH "USERS.TXT"	/* user help file */
+#define OPATH    ETCPATH "OPERS.MOTD"	/* oper MOTD file */
+#define LIPATH   ETCPATH "LINKS.TXT"	/* cached LINKS file */
+
+#endif /* !VMS */
+
+/* WANT_GETTEXT - toggle gettext support.
+ * NOTE: if configure doesn't detect gettext, this won't do anything.
+ */
+#define WANT_GETTEXT
+
+/* Ignore bogus timestamps from other servers. Yes this will desync
+ * the network, but it will allow chanops to resync with a valid non TS 0
+ *
+ * This should be enabled network wide, or not at all.
+ */
+#undef  IGNORE_BOGUS_TS
+
+/* HIDE_SERVERS_IPS
+ *
+ * If this is undefined, opers will be unable to see servers ips and will be
+ * shown a masked ip, admins will be shown the real ip.
+ *
+ * If this is defined, nobody can see a servers ip.
+ */
+#undef  HIDE_SERVERS_IPS
+
+/* HIDE_SPOOF_IPS
+ *
+ * If this is undefined, opers will be allowed to see the real IP of spoofed
+ * users in /trace etc.  If this is defined they will be shown a masked IP.
+ */
+#undef HIDE_SPOOF_IPS
+
+/* TS5_ONLY
+ *
+ * If this is defined only TS5 servers may link to the network.  See
+ * doc/ts5.txt for more information.  If your network has old servers
+ * (hyb5, hyb6.0, +CSr) or hybserv you should NOT define this.
+ */
+#define TS5_ONLY
+
+/* USE_ASCII_CASEMAP
+ *
+ * Under rfc1459, the characters {}|~ are the lowercase of []\^ so a
+ * nick of [foo] is the same as {foo} and a channel #[] is the same as
+ * #{}.  If this is defined they will no longer be treated as lowercase
+ * of each other, so [foo] and {foo} could be two seperate people.
+ *
+ * Note: this must be the same network wide or you will have problems.
+ *       Your locale(1) must also be set to "C".
+ */
+#undef USE_ASCII_CASEMAP
+
+/* USE_LOGFILE - log errors and such to LPATH
+ * If you wish to have the server send 'vital' messages about server
+ * to a logfile, define USE_LOGFILE.
+ */
+#define USE_LOGFILE
+
+/* USE_SYSLOG - log errors and such to syslog()
+ * If you wish to have the server send 'vital' messages about server
+ * through syslog, define USE_SYSLOG. Only system errors and events critical
+ * to the server are logged although if this is defined with FNAME_USERLOG,
+ * syslog() is used instead of the above file. It is not recommended that
+ * this option is used unless you tell the system administrator beforehand
+ * and obtain their permission to send messages to the system log files.
+ */
+#undef  USE_SYSLOG
+
+#ifdef  USE_SYSLOG
+/* SYSLOG_KILL SYSLOG_SQUIT SYSLOG_CONNECT SYSLOG_USERS SYSLOG_OPER
+ * If you use syslog above, you may want to turn some (none) of the
+ * spurious log messages for KILL,SQUIT,etc off.
+ */
+#undef  SYSLOG_KILL		/* log all operator kills to syslog */
+#undef  SYSLOG_SQUIT		/* log all remote squits for all servers to syslog */
+#undef  SYSLOG_CONNECT		/* log remote connect messages for other all servs */
+#undef  SYSLOG_USERS		/* send userlog stuff to syslog */
+#undef  SYSLOG_OPER		/* log all users who successfully become an Op */
+
+/* LOG_FACILITY - facility to use for syslog()
+ * Define the facility you want to use for syslog().  Ask your
+ * sysadmin which one you should use.
+ */
+#define LOG_FACILITY LOG_LOCAL4
+
+#endif /* USE_SYSLOG */
+
+/* CLIENT_FLOOD - client excess flood threshold(in messages)
+ * The number of messages that we can receive before we disconnect the
+ * remote client...
+ */
+#define CLIENT_FLOOD 20
+
+/* NICKNAMEHISTORYLENGTH - size of WHOWAS array
+ * this defines the length of the nickname history.  each time a user changes
+ * nickname or signs off, their old nickname is added to the top of the list.
+ * NOTE: this is directly related to the amount of memory ircd will use whilst
+ *       resident and running - it hardly ever gets swapped to disk!  Memory
+ *       will be preallocated for the entire whowas array when ircd is started.
+ */
+#ifndef SMALL_NET
+#define NICKNAMEHISTORYLENGTH 15000
+#else
+#define NICKNAMEHISTORYLENGTH 1500
+#endif
+/* HANGONGOODLINK and HANGONGOODLINK
+ * Often net breaks for a short time and it's useful to try to
+ * establishing the same connection again faster than CONNECTFREQUENCY
+ * would allow. But, to keep trying on bad connection, we require
+ * that connection has been open for certain minimum time
+ * (HANGONGOODLINK) and we give the net few seconds to steady
+ * (HANGONRETRYDELAY). This latter has to be long enough that the
+ * other end of the connection has time to notice it broke too.
+ * 1997/09/18 recommended values by ThemBones for modern EFnet
+ */
+
+#define HANGONRETRYDELAY 60	/* Recommended value: 30-60 seconds */
+#define HANGONGOODLINK 3600	/* Recommended value: 30-60 minutes */
+
+/* KILLCHASETIMELIMIT -
+ * Max time from the nickname change that still causes KILL
+ * automatically to switch for the current nick of that user. (seconds)
+ */
+#define KILLCHASETIMELIMIT 90	/* Recommended value: 90 */
+
+/*
+ * If the OS has SOMAXCONN use that value, otherwise
+ * Use the value in HYBRID_SOMAXCONN for the listen(); backlog
+ * try 5 or 25. 5 for AIX and SUNOS, 25 should work better for other OS's
+*/
+#define HYBRID_SOMAXCONN 25
+
+/* END OF CONFIGURABLE OPTIONS */
+
+/* 
+ * Default pre-allocations for various things...
+ */
+#ifndef SMALL_NET		/* Normal net */
+#define CHANNEL_HEAP_SIZE	1024
+#define BAN_HEAP_SIZE		1024
+#define CLIENT_HEAP_SIZE	1024
+#define LCLIENT_HEAP_SIZE	512
+#define LINEBUF_HEAP_SIZE	1024
+#define	USER_HEAP_SIZE		1024
+#define	DNODE_HEAP_SIZE		2048
+#define TOPIC_HEAP_SIZE		1024
+#define MEMBER_HEAP_SIZE	1024
+#else /* Small Net */
+#define CHANNEL_HEAP_SIZE	256
+#define BAN_HEAP_SIZE		128
+#define CLIENT_HEAP_SIZE	256
+#define LCLIENT_HEAP_SIZE	128
+#define LINEBUF_HEAP_SIZE	128
+#define	USER_HEAP_SIZE		128
+#define	DNODE_HEAP_SIZE		256
+#define TOPIC_HEAP_SIZE		256
+#define MEMBER_HEAP_SIZE	256
+#endif
+
+/* DEBUGMODE is used mostly for internal development, it is likely
+ * to make your client server very sluggish.
+ * You usually shouldn't need this. -Dianora
+*/
+#undef  DEBUGMODE		/* define DEBUGMODE to enable debugging mode. */
+
+/*
+ * this checks for various things that should never happen, but
+ * might do due to bugs.  ircd might be slightly more efficient with 
+ * these disabled, who knows. keep this enabled during development.
+ */
+
+#define CONFIG_RATBOX_LEVEL_1
+
+#include "defaults.h"
+#endif /* INCLUDED_config_h */
diff -uNrd ircd-ratbox-1.5-2.dist/messages/.cvsignore ircd-ratbox-1.5-2-nomi/messages/.cvsignore
--- ircd-ratbox-1.5-2.dist/messages/.cvsignore	Sat Jun 28 05:22:58 2003
+++ ircd-ratbox-1.5-2-nomi/messages/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,2 +0,0 @@
-*.mo
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/messages/translations/.cvsignore ircd-ratbox-1.5-2-nomi/messages/translations/.cvsignore
--- ircd-ratbox-1.5-2.dist/messages/translations/.cvsignore	Sat Jun 28 08:19:18 2003
+++ ircd-ratbox-1.5-2-nomi/messages/translations/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,2 +0,0 @@
-*.mo
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/modules/.cvsignore ircd-ratbox-1.5-2-nomi/modules/.cvsignore
--- ircd-ratbox-1.5-2.dist/modules/.cvsignore	Thu Jun 26 10:02:11 2003
+++ ircd-ratbox-1.5-2-nomi/modules/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1 +0,0 @@
-Makefile
diff -uNrd ircd-ratbox-1.5-2.dist/servlink/.cvsignore ircd-ratbox-1.5-2-nomi/servlink/.cvsignore
--- ircd-ratbox-1.5-2.dist/servlink/.cvsignore	Tue Jul  3 00:53:12 2001
+++ ircd-ratbox-1.5-2-nomi/servlink/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,3 +0,0 @@
-Makefile
-setup.h
-servlink
diff -uNrd ircd-ratbox-1.5-2.dist/src/.cvsignore ircd-ratbox-1.5-2-nomi/src/.cvsignore
--- ircd-ratbox-1.5-2.dist/src/.cvsignore	Tue Jul  3 00:53:13 2001
+++ ircd-ratbox-1.5-2-nomi/src/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,6 +0,0 @@
-Makefile
-y.tab.*
-lex.yy.c
-ircd
-version.c.last
-version.c
diff -uNrd ircd-ratbox-1.5-2.dist/tools/.cvsignore ircd-ratbox-1.5-2-nomi/tools/.cvsignore
--- ircd-ratbox-1.5-2.dist/tools/.cvsignore	Wed Apr 10 16:17:38 2002
+++ ircd-ratbox-1.5-2-nomi/tools/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,8 +0,0 @@
-Makefile
-mkpasswd
-viconf
-convertconf
-fixklines
-convertklines
-encspeed
-convertilines
\ No newline at end of file
diff -uNrd ircd-ratbox-1.5-2.dist/tools/rsa_respond/.cvsignore ircd-ratbox-1.5-2-nomi/tools/rsa_respond/.cvsignore
--- ircd-ratbox-1.5-2.dist/tools/rsa_respond/.cvsignore	Tue Jul  3 00:53:15 2001
+++ ircd-ratbox-1.5-2-nomi/tools/rsa_respond/.cvsignore	Wed Dec 31 19:00:00 1969
@@ -1,2 +0,0 @@
-genkey
-respond
